## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check

# https://github.com/containerd/btrfs
%global goipath         github.com/containerd/btrfs
%global goname          golang-github-containerd-btrfs
Version:                2.0.0

%gometa

%global godevelheader   %{expand:
Requires: btrfs-progs-devel
}

%global common_description %{expand:
Package btrfs provides bindings for working with btrfs partitions from Go.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Btrfs bindings for Go

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  golang(golang.org/x/sys/cpu)
BuildRequires:  btrfs-progs-devel

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Wed Apr 26 2023 Sérgio M. Basto <sergio@serjux.com> - 2.0.0-1
- Uncommitted changes

* Wed Apr 26 2023 Sérgio M. Basto <sergio@serjux.com>
- Uodate to 2.0.0, goipath to v2 but same package name

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jan 31 2022 Maxwell G <gotmax@e.email> - 1.0.0-5
- Add missing changelog entry

* Mon Jan 31 2022 Maxwell G <gotmax@e.email> - 1.0.0-4
- Add mising dependency to fix FTBFS.

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 14 2021 Olivier Lemasle <o.lemasle@gmail.com> - 1.0.0-1
- Update to upstream 1.0.0 (fixes rhbz#1963442)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan 09 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0-6
- Bump to commit 404b9149801e455c8076f615b06dc0abee0a977a

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jul 25 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-4
- Bump to commit 153935315f4ab9be5bf03650a1341454b05efa5d

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jun 26 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-1
- Initial import
